## org.hibernate.criterion
Class NotEmptyExpression

    java.lang.Object
      org.hibernate.criterion.AbstractEmptinessExpression
          org.hibernate.criterion.NotEmptyExpression

All Implemented Interfaces:
  Serializable, Criterion

    public class NotEmptyExpression

extends AbstractEmptinessExpression
implements Criterion

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.criterion.AbstractEmptinessExpression
`propertyName`

Constructor Summary
`protected` `NotEmptyExpression(String propertyName)`

Method Summary
`protected boolean` `excludeEmpty()`

Methods inherited from class org.hibernate.criterion.AbstractEmptinessExpression
`getQueryableCollection, getTypedValues, toSqlString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.criterion.Criterion
`getTypedValues, toSqlString`

Constructor Detail

### NotEmptyExpression

    protected NotEmptyExpression(String propertyName)

Method Detail

### excludeEmpty

    protected boolean excludeEmpty()

  Specified by:
    `excludeEmpty` in class `AbstractEmptinessExpression`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.